| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Member Functions
com.symantec.sepm.webservice.client.Computer Class Reference

Provides the individual Computer object that is included in a ComputerResult list. More...

## Public Member Functions
String | getComputerId ()
| Returns the GUID for the specified computer. More...
void | setComputerId (String computerId)
| Client applications should not call this method. More...
List< String > | getIpAddresses ()
| Returns the IP addresses of the specified computer. More...
void | setIpAddresses (List< String > ipAddresses)
| Client applications should not call this method. More...
String | getHostName ()
| Returns the hostname (also called the computer name) of the specified computer. More...
void | setHostName (String hostName)
| Client applications should not call this method. More...
String | getDomainName ()
| Returns the network domain name of the specified computer. More...
void | setDomainName (String domainName)
| Client applications should not call this method. More...
int | getQuarantineStatus ()
void | setQuarantineStatus (int quarantineStatus)
| Client applications should not call this method. More...
int | getQuarantineCode ()
void | setQuarantineCode (int quarantineCode)
| Client applications should not call this method. More...

## Static Public Member Functions
static boolean | isQuarantined (Computer computer)
| Convenience method to determine if a given Computer has been placed in quarantine by the administrator. More...

## Detailed Description

Provides the individual Computer object that is included in a ComputerResult list.

## Member Function Documentation

String com.symantec.sepm.webservice.client.Computer.getComputerId | ( |  | ) |

Returns the GUID for the specified computer.

Returns
  computerId the GUID of the computer

void com.symantec.sepm.webservice.client.Computer.setComputerId | ( | String | computerId | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  computerId | computerId to set

List<String> com.symantec.sepm.webservice.client.Computer.getIpAddresses | ( |  | ) |

Returns the IP addresses of the specified computer.

Returns
  ipAddresses list of IP addresses

void com.symantec.sepm.webservice.client.Computer.setIpAddresses | ( | List< String > | ipAddresses | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  ipAddresses | IP addresses to set

String com.symantec.sepm.webservice.client.Computer.getHostName | ( |  | ) |

Returns the hostname (also called the computer name) of the specified computer.

Returns
  hostName the hostname of the computer

void com.symantec.sepm.webservice.client.Computer.setHostName | ( | String | hostName | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  hostName | host name to set

String com.symantec.sepm.webservice.client.Computer.getDomainName | ( |  | ) |

Returns the network domain name of the specified computer.

Returns
  domainName the network domain name of the computer

void com.symantec.sepm.webservice.client.Computer.setDomainName | ( | String | domainName | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  domainName | domain name to set

int com.symantec.sepm.webservice.client.Computer.getQuarantineStatus | ( |  | ) |

Returns
  the quarantineStatus

void com.symantec.sepm.webservice.client.Computer.setQuarantineStatus | ( | int | quarantineStatus | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  quarantineStatus | the quarantine status to set

int com.symantec.sepm.webservice.client.Computer.getQuarantineCode | ( |  | ) |

Returns
  the quarantineCode

void com.symantec.sepm.webservice.client.Computer.setQuarantineCode | ( | int | quarantineCode | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  quarantineCode | the quarantine code to set

static boolean com.symantec.sepm.webservice.client.Computer.isQuarantined | ( | Computer | computer | ) |
| static

Convenience method to determine if a given Computer has been placed in quarantine by the administrator.

Parameters

  computer | the computer to check

Returns
  true if in quarantine by the administrator.